Package Details: af9015-firmware 5.24.0.0-5

Git Clone URL: https://aur.archlinux.org/af9015-firmware.git (read-only)
Package Base: af9015-firmware
Description: Firmware for Afatech af9015 based USB dvb devices
Upstream URL: http://linuxtv.org/wiki/index.php/Afatech_AF9015
Keywords: af9015 dvb firmware
Licenses: unknown
Submitter: Kn3cht
Maintainer: The_Loko
Last Packager: The_Loko
Votes: 41
Popularity: 0.000532
First Submitted: 2009-07-15 16:36
Last Updated: 2015-08-08 13:33

Latest Comments

The_Loko commented on 2015-08-08 13:21

Uploaded package to AUR4

nakki87 commented on 2015-01-18 18:04

Thanks qqqqqqqqq9.

qqqqqqqqq9 commented on 2015-01-17 11:38

https://wiki.archlinux.org/index.php/creating_packages#package.28.29

In this case, renaming the buil-function to package should suffice.

nakki87 commented on 2015-01-06 15:20

Sorry, but I'm not able to do that. I need some help, or some useful links. Thanks

qqqqqqqqq9 commented on 2015-01-06 14:41

Hi,
please add a package()-function, pacman-4.2 needs it.

nakki87 commented on 2014-07-15 18:17

Updated.

I'm Sorry for the inconvenience! I forgot to change that!
Thanks.

nakki87 commented on 2014-07-15 18:16

I'm Sorry for the inconvenience! I forgot to change that!
Thanks.

Kn3cht commented on 2014-07-15 18:08

You should set arch=('any')

nakki87 commented on 2014-07-15 09:28

Hi, I updated the package. This is my first AUR package, so report any problem.
Thanks.

xav commented on 2014-07-15 07:16

Hi guys, sorry for the lag. I just orphaned the package, I no longer have the equipment for testing firmware. Hope you dont mind !

Cheers.
x.

rpodgorny commented on 2014-07-14 20:50

unfortunately, it looks like the package has to be orphaned first... ;-(

nakki87 commented on 2014-07-14 15:25

I upgraded by editing the PKGBUILD like this:

pkgname=af9015-firmware
pkgver=5.24.0.0
pkgrel=3
pkgdesc="Firmware for Afatech af9015 based USB dvb devices"
arch=('any')
url="http://linuxtv.org/wiki/index.php/Afatech_AF9015"
license=('unknown')
source=(http://palosaari.fi/linux/v4l-dvb/firmware/af9015/5.24.0.0/dvb-usb-af9015.fw)
md5sums=('4ea04354bb30fba400c7c84abf99ac13')

build() {
mkdir -p ${pkgdir}/usr/lib/firmware
install -m644 dvb-usb-af9015.fw ${pkgdir}/usr/lib/firmware
}

How to contribute to update the AUR PKGBUILD?

alium commented on 2014-07-09 21:12

fw 5.24.0.0 is out

rpodgorny commented on 2012-10-09 16:01

success on armv6h architecture. please update to 'any' since this is just a binary blob for the device, not the host.

rpodgorny commented on 2012-10-09 15:59

...shoudn't arch say 'any'? (instead of individual architectures)

breed808 commented on 2012-09-15 06:17

Is currently running perfectly on my x86_64 mythtv setup. Thank you very much for the package.

chrigl commented on 2012-07-14 15:21

Since /lib is a symlink now, af9015-firmware should be changed to keep the files in /usr/lib/firmware instead of /lib/firmware.

http://www.archlinux.org/news/the-lib-directory-becomes-a-symlink/

Thanks, Chris

andrej commented on 2011-08-16 16:45

@dejavu: Well, because it only crashes the kernel from time to time. Crashing the kernel more reliably would be better, since it would force all those people to think a little bit before upgrading to a firmware unsuitable for their device.

And BTW, this package should be renamed somehow to avoid confusion. This firmware is *not* usable for MSI Digivox Mini II v3 and thelike. It does load, but there are serious stability issues.

(These ugly USB drivers shold be implemented in userspace anyway...)

dejavu commented on 2011-07-28 17:44

This version doesn't work here.
Therefore using the other af9015 package with the old version.

But I can't understand why so much people are using this package?!

andrej commented on 2011-01-15 13:47

> Except for the soucre that you've found, but even the Changelog/readme there (http://palosaari.fi/linux/v4l-dvb/firmware/af9015/readme.txt) doesn't list that firmware.

That's because this firmware simply does not work. 4.95.0 is the last working version.

hybrid commented on 2010-08-18 18:02

Hi, how did you find this version?
I'm just wondering, because linuxtv.org still only points to 4.95.0 and I can't find a version 5.1.0 anywhere. Except for the soucre that you've found, but even the Changelog/readme there (http://palosaari.fi/linux/v4l-dvb/firmware/af9015/readme.txt) doesn't list that firmware.